
jigzo, an OpenGL jigsaw game

Version 0.6.1

      jigzo (formerly glpuzzle) is a jigsaw puzzle game. Choose from 12
      puzzles of increasing difficulty, or create your own puzzles. jigzo
      uses OpenGL for smooth movement and display.
      [jigzo_screenshot_50.png]

      Copyright (C) 2005-2008 Maarten de Boer

      <maarten _at_ resorama.com>

  Download

    GNU/Linux / Source-code

      jigzo-0.6.1.tgz

      See compilation instructions below.

    Microsoft Windows

      jigzo-0_6_1.zip (source+exe)

      jigzo-0_6_1-setup.exe (installer)

Usage

  General info

      jigzo requires a OpenGL hardware accelaration and runs at 1024x768
      only.

      jigzo uses cross-platform libraries and has been succesfully build and
      run on Linux, MacOSX and Windows XP.

      The downloads include 12 puzzles of increasing difficulties. You can
      create your own additional puzzles by uploading images at
      http://mtg62.upf.es/jigzomaker/

  Command line arguments

jigzo [-h | -w]

-h   show this usage info
-w   window mode (default is fullscreen)

Compilation (GNU/Linux)

      You need to have the following libraries installed: GL, png, jpeg,
      SDL, and optionally SDL_mixer

      Debian/Ubuntu users can do:

$ apt-get install libjpeg62-dev libpng12-dev libsdl1.2-dev libsdl-mixer1.2-dev

      Compile jigzo with

$ make

      You can directly execute the resulting binary jigzo, or see below.

Installation (GNU/Linux)

      jigzo can be run from the current directory, or be installed running

$ make install

      as root. By default, jigzo will be installed in /usr/local. To install
      in /usr, use

$ make install PREFIX=/usr

License

      This program is free software; you can redistribute it and/or modify
      it under the terms of the GNU General Public License as published by
      the Free Software Foundation; either version 2 of the License, or (at
      your option) any later version.

      This program is distributed in the hope that it will be useful, but
      WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
      General Public License for more details.

Thanks

      To Martijn Loos for the sounds, and to Nina for beta-testing.


